<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="DocumentFormat.OpenXml" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.5.5631.0" newVersion="2.5.5631.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WindowsBase" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="BouncyCastle.Crypto" publicKeyToken="0e99375e54769942" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.8.2.0" newVersion="1.8.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Spire.Pdf" publicKeyToken="663f351905198cb3" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.7.21.0" newVersion="10.7.21.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Dynamsoft.Twain" publicKeyToken="298ad97013b423eb" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.3.3.726" newVersion="8.3.3.726" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Dynamsoft.PDF" publicKeyToken="298ad97013b423eb" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.3.3.726" newVersion="8.3.3.726" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Dynamsoft.Forms.Viewer" publicKeyToken="298ad97013b423eb" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.3.3.726" newVersion="8.3.3.726" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Dynamsoft.ImageCore" publicKeyToken="298ad97013b423eb" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.3.3.726" newVersion="8.3.3.726" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DocumentFormat.OpenXml" publicKeyToken="8fb06cb64d019a17" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.7.2.0" newVersion="2.7.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.5.0" newVersion="4.0.5.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Numerics.Vectors" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.6.0" newVersion="4.1.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.3.0" newVersion="6.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.5.0" newVersion="4.0.5.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.2.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Spire.PdfViewer.Forms" publicKeyToken="663f351905198cb3" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.9.5.3046" newVersion="4.9.5.3046" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8" /></startup></configuration>
